メインコンテンツへスキップ
DELETE
/
feature-flags
/
v3
/
{appId}
/
flags
/
{flagName}
Delete an app's feature flag
curl --request DELETE \
  --url https://api.hubapi.com/feature-flags/v3/{appId}/flags/{flagName} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.hubapi.com/feature-flags/v3/{appId}/flags/{flagName}"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.hubapi.com/feature-flags/v3/{appId}/flags/{flagName}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "appId": 123,
  "flagName": "<string>"
}
{
  "message": "Invalid input (details will vary based on the error)",
  "correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
  "category": "VALIDATION_ERROR",
  "links": {
    "knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
  }
}

Supported products

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

パスパラメータ

appId
integer<int32>
必須
flagName
string
必須

レスポンス

successful operation

appId
integer<int32>
必須

The ID of the app

defaultState
enum<string>
必須

The flag state for any portal that doesn't have an override value

利用可能なオプション:
ABSENT,
OFF,
ON
flagName
string
必須

The name of the flag

overrideState
enum<string>

An optional flag value that overrides all others for this flag name and app, including portal-level values

利用可能なオプション:
ABSENT,
OFF,
ON
最終更新日 2026年4月10日